Skip to content

Query the transaction timeline

GET/v1/transactions

Requires an API client bearer token.

Cursor-paginated, tenant-scoped transaction timeline. Without ?programme_id: requires org-admin scope. With ?programme_id=<uuid>: requires programme admin for that programme (org admins also pass). Only user and admin API clients are accepted.

Parameters

Query parameters

NameRequiredDescription
programme_idoptional
card_idoptional
stateoptional
cursoroptional
limitoptional

Example

curl https://api.rigid.fi/v1/transactions \
  -H "Authorization: Bearer $RIGID_API_TOKEN"

Responses

200

A page of transactions.

dataarray of objectrequired
+ show properties
network_txn_idstringrequired
card_idstringrequired
programme_idstringrequired
mode"test" | "live"required
type"spend" | "refund" | "reversal" | "incremental" | "topup" | "recurring"required
state"approved" | "declined" | "partial" | "reversed" | "pending"required
amountstringrequired
approved_amountstring
currencystringrequired
mccstring
merchantstring
channel"pos" | "ecommerce" | "atm" | "moto"
stipbooleanrequired
decline_reason"card_not_found" | "card_inactive" | "card_restricted" | "card_closed" | "card_lost" | "card_stolen" | "card_expiry_mismatch" | "card_expiry_unknown" | "card_expired" | "card_currency_unknown" | "programme_config_stale" | "delegated_auth_unavailable" | "programme_ledger_disabled" | "mcc_denied" | "mcc_not_allowed" | "country_denied" | "country_not_allowed" | "channel_denied" | "channel_not_allowed" | "entry_mode_denied" | "amount_over_cap" | "control_currency_mismatch" | "velocity_count_exceeded" | "velocity_amount_exceeded" | "refund_not_supported" | "balance_inquiry_not_supported" | "verification_amount_mismatch" | "zero_amount_not_declared" | "amount_precision_unsupported" | "funding_account_missing" | "funding_account_not_balance_checked" | "funding_account_limit_unknown" | "funding_account_not_found" | "insufficient_funds" | "cross_currency" | "authorization_conflict" | "funding_request_invalid" | "hold_state_unverifiable" | "hold_amount_mismatch" | "hold_not_active" | "sandbox_control_live_mode" | "sandbox_partial_invalid" | "refund_float_not_configured" | "refund_float_exhausted" | "refund_posting_unconfirmed" | "pipeline_incomplete" | "stip_config_cold" | "stip_idempotency_in_flight" | "stip_ledger_unavailable" | "stip_controls_timeout" | "stip_dependency_unavailable" | "stip_deadline_in_past" | "stip_deadline_exceeded" | "stip_card_unresolved" | "redacted"
parent_txn_idstring
simulation_idstring
tracearray of objectrequired
+ show properties
stage"card_state" | "controls" | "velocity" | "funding" | "stip" | "delegated" | "budget"required
outcomestringrequired
durationMsintegerrequired
created_atstring (date-time)required
has_morebooleanrequired
next_cursorstring | nullrequired
400

Validation error

typestringrequired
titlestringrequired
statusintegerrequired
detailstring
instancestring
401

Authentication required

typestringrequired
titlestringrequired
statusintegerrequired
detailstring
instancestring
403

Forbidden

typestringrequired
titlestringrequired
statusintegerrequired
detailstring
instancestring
500

Internal server error

typestringrequired
titlestringrequired
statusintegerrequired
detailstring
instancestring